Name:		empathy
Version:	0.8
Release:	1%{?dist}
Summary:	GNOME Instant Messaging Client

Group:		Applications/Communications
License:	GPL
URL:		http://live.gnome.org/Empathy
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libtelepathy-devel >= 0.0.51
BuildRequires:	perl(XML::Parser)
BuildRequires:	glib2-devel >= 2.12.0
BuildRequires:	GConf2-devel >= 1.2.0
BuildRequires:	telepathy-mission-control-devel >= 4.22
BuildRequires:	gtk2-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	aspell-devel

Requires:	telepathy-filesystem

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(post):	scrollkeeper
Requires(preun):	GConf2
Requires(postun):	scrollkeeper

%description
Empathy provides a powerful multiple protocol instant messaging
client using Telepathy

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# remove --no-connect from the .desktop file
# without this empathy won't launch from the menu
sed -i 's/--no-connect//' \
$RPM_BUILD_ROOT%{_datadir}/gnome/autostart/%{name}.desktop

desktop-file-install --vendor fedora --delete-original	\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/gnome/autostart/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/empathy
%{_bindir}/empathy-accounts
%{_datadir}/dbus-1/services/org.gnome.Empathy.Chat.service
%{_datadir}/empathy/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}*.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}*.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}*.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/mission-control/profiles/*
%{_datadir}/telepathy/managers/empathy-chat.chandler

%changelog
* Fri Jun 22 2007 David Nielsen <david@lovesunix.net> - 0.8-1
- bump to 0.8
- Now with aspell support (deat to teh speeling mistaks)

* Sat Jun  9 2007 David Nielsen <david@lovesunix.net> - 0.7-1
- bump to 0.7

* Mon Jun  4 2007 David Nielsen <david@lovesunix.net> - 0.6-3
- Add telepathy-filesystem to Requires
- Move .desktop from autostart to applications
- Nasty hackery to make empathy launch from the menu

* Mon Jun  4 2007 David Nielsen <david@lovesunix.net> - 0.6-2
- Add gettext to BuildRequires

* Fri Jun  1 2007 David Nielsen <david@lovesunix.net> - 0.6-1
- Bump to 0.6

* Fri Jun  1 2007 David Nielsen <david@lovesunix.net> - 0.5-2
- Let Empathy own the directory and not just the files in it

* Tue May 30 2007 David Nielsen <david@lovesunix.net> - 0.5-1
- Initial package
